name: tomcat
version: 8.5.5
summary: A Java Servlet and Java Server Pages container
description: A Java Servlet and Java Server Pages container developed under the Apache License
confinement: strict
grade: devel

apps:
    tomcat:
        daemon: simple
        command: run.sh
        plugs: [network-bind]
        
parts:
    tomcat:
        plugin: dump
        source: http://apache.cs.utah.edu/tomcat/tomcat-8/v8.5.5/bin/apache-tomcat-8.5.5.tar.gz
        source-type: tar
        stage-packages:
            - default-jre-headless
        
    launcher:
        plugin: dump
        source: .
        snap:
            - run.sh
